### Method

# Ide Vcs list_status_finish

#### Declaration

    GListModel*
    ide_vcs_list_status_finish (
      IdeVcs* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request to ide_vcs_list_status_async().

The result of this function is a `GListModel` containing objects that are `IdeVcsFileInfo`.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult` provided to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | A list model of `GObject`
| A `GListModel` containing an `IdeVcsFileInfo` for each of the files scanned by the `IdeVcs`. Upon failure, `NULL` is returned and `error` is set.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.